// Import custom rust file as crate
mod ui;
mod core;
use ui::gui::ZZZRRLauncher;

// Import eframe crate to make the UI
use eframe::NativeOptions;

// Init the Eframe UI and Launch the launcher
fn main() -> eframe::Result<()> {
    let options = NativeOptions::default();
    eframe::run_native(
        "ZZZ-RR-Launcher Beta",
        options,
        Box::new(|_cc| Ok(Box::new(ZZZRRLauncher::default()))),
    )
}